### Method

# FwupdPlugin Device get_proxy_guid

since: 1.4.1

#### Declaration [src]

    const gchar*
    fu_device_get_proxy_guid (
      FuDevice* self
    )

#### Description [src]

Gets the proxy GUID device, which is set to let the engine match up the proxy between plugins.

Available since: 1.4.1

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.